# Class DoAttach

Class DoAttach

Declaration :

- C++ : class DoAttach : public BuildInstruct

Artifact : buildinstruct

Relation nodes (<directional aggregation>)

Declaration :

- Uml : + nodes : Proc, multiplicity : 1..*
- C++ : public: const Proc* nodes

Stereotype: vector

Attribut point

identifying the point where the nodes should be attached

Declaration :

- Uml : + point : string
- C++ : public: const string point